%define upstream_name    Guard
%define upstream_version 1.023

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 18

Summary:    Safe cleanup blocks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
# Source0:    https://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
Source0:    https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module implements so-called "guards". A guard is something (usually an
object) that "guards" a resource, ensuring that it is cleaned up when
expected.

Specifically, this module supports two different types of guards: guard
objects, which execute a given code block when destroyed, and scoped
guards, which are tied to the scope exit.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc COPYING Changes META.json README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1.23.0-18.mga10
+ Revision: 2088058
- Rebuild against new perl

* Fri Dec 01 2023 tv <tv> 1.23.0-17.mga10
+ Revision: 2012069
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.23.0-16.mga9
+ Revision: 1861912
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.23.0-15.mga9
+ Revision: 1795784
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.23.0-14.mga9
+ Revision: 1726709
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.23.0-13.mga8
+ Revision: 1594804
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.23.0-12.mga8
+ Revision: 1529032
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 1.23.0-11.mga8
+ Revision: 1432993
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.23.0-10.mga7
+ Revision: 1293140
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.23.0-9.mga7
+ Revision: 1249439
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.23.0-8.mga7
+ Revision: 1164710
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.23.0-7.mga7
+ Revision: 1148944
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1.23.0-6.mga7
+ Revision: 1127906
- modernize spec

* Sat Jul 22 2017 neoclust <neoclust> 1.23.0-5.mga7
+ Revision: 1126553
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.23.0-4.mga6
+ Revision: 1028173
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.23.0-3.mga6
+ Revision: 957457
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.23.0-2.mga6
+ Revision: 844890
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.23.0-1.mga6
+ Revision: 840869
- New version 1.023 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.22.0-9.mga5
+ Revision: 743764
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.22.0-8.mga5
+ Revision: 684926
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.22.0-7.mga5
+ Revision: 631219
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.22.0-6.mga4
+ Revision: 524318
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.22.0-5.mga4
+ Revision: 430729
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.22.0-4.mga3
+ Revision: 367973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 23 2012 pterjan <pterjan> 1.22.0-3.mga3
+ Revision: 283388
- Clean rebuild

* Wed May 30 2012 jquelin <jquelin> 1.22.0-2.mga3
+ Revision: 250752
- rebuild for perl 5.16

* Fri Jul 08 2011 jquelin <jquelin> 1.22.0-1.mga2
+ Revision: 120407
- update to 1.022

* Sat Jun 11 2011 sander85 <sander85> 1.21.0-3.mga2
+ Revision: 103766
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 1.21.0-2.mga1
+ Revision: 22446
- cleaning spec file
- imported package perl-Guard


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.21.0-2mdv2011.0
+ Revision: 555932
- rebuild for perl 5.12

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 1.21.0-1mdv2010.0
+ Revision: 399301
- update to 1.021
- fixed license field

  + Götz Waschk <waschk@mandriva.org>
    - remove the macro definition again

* Fri May 08 2009 Götz Waschk <waschk@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 373390
- add perl_convert_version macro
- new version
- use perl convert version macro

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2009.1
+ Revision: 320309
- import perl-Guard


* Sun Dec 28 2008 cpan2dist 1.0-1mdv
- initial mdv release, generated with cpan2dist

